<script setup>
import {ref} from 'vue';
import ApplicationLogo from '@/Components/ApplicationLogo.vue';
import Dropdown from '@/Components/Dropdown.vue';
import DropdownLink from '@/Components/DropdownLink.vue';
import NavLink from '@/Components/NavLink.vue';
import ResponsiveNavLink from '@/Components/ResponsiveNavLink.vue';
import {Link} from '@inertiajs/inertia-vue3';

const showingNavigationDropdown = ref(false);
import {UserCircleIcon} from '@heroicons/vue/24/outline'

</script>

<template>
    <v-app>

        <v-app-bar color="primary"
                   prominent>
<!--            <template v-slot:prepend><user-circle-icon class="w-5"></user-circle-icon></template>-->
            <v-spacer></v-spacer>
            <template v-slot:append>
                <v-btn icon="" class="" id="menu-button">
                    <user-circle-icon class="w-10"></user-circle-icon>
                </v-btn>
            </template>

        </v-app-bar>

        <v-main>
            <!--            <v-card>-->
            <v-layout>
                <v-navigation-drawer
                    permanent
                    color="primary"
                >
                    <v-list nav>
                        <v-list-item>
                            <v-list-item-title>test <UserCircleIcon class="w-5"></UserCircleIcon></v-list-item-title>
                            <v-list-item-subtitle>asdasd</v-list-item-subtitle>
                            <v-list-item-media>asdfasdfasdfasdf</v-list-item-media>
                            <v-list-item-action>/</v-list-item-action>
                        </v-list-item>
                        <v-list-item prepend-icon="mdi-account-supervisor-circle" title="Supervisors"
                                     value="supervisors"></v-list-item>
                        <v-list-item prepend-icon="mdi-clock-start" title="Clock-in" value="clockin"></v-list-item>
                    </v-list>
                </v-navigation-drawer>
            </v-layout>
            <!--            </v-card>-->
            <v-container>
                <aside class=""></aside>
            </v-container>
        </v-main>
    </v-app>
</template>
